from django.urls import path

from .views import (
    edit_lineup,
    multi_lineup_choose,
    submit_lineup,
    teamsnap_event_redirect,
)

urlpatterns = [
    path(
        "<int:team_id>/schedule/edit_lineup/<int:event_ids>",
        edit_lineup,
        name="teamsnap_edit_lineup",
    ),
    path(
        "<int:team_id>/event/<int:event_id>/submit_lineup/",
        submit_lineup,
        name="teamsnap_submit_lineup",
    ),
    path(
        "<int:team_id>/event/<str:event_ids>/edit_lineup/",
        edit_lineup,
        name="teamsnap_edit_lineup",
    ),
    path(
        "<int:team_id>/multievent/choose",
        multi_lineup_choose,
        name="teamsnap_choose_multiple_lineups",
    ),
    path(
        "<int:team_id>/event/<str:event_id>/teamsnap/",
        teamsnap_event_redirect,
        name="teamsnap_event_redirect",
    ),
]
